Bug 877167 - Dead Review Request: matefaenza-icon-theme - MATE Desktop faenza compilation theme
Dead Review Request: matefaenza-icon-theme - MATE Desktop faenza compilation ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nelson Marques
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-15 15:51 EST by leigh scott
Modified: 2013-01-10 11:29 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-10 11:23:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description leigh scott 2012-11-15 15:51:12 EST
Spec URL: http://leigh123linux.fedorapeople.org/pub/review/mate-icon-theme-faenza/1/mate-icon-theme-faenza.spec

SRPM URL: http://leigh123linux.fedorapeople.org/pub/review/mate-icon-theme-faenza/1/mate-icon-theme-faenza-1.5.0-1.fc17.src.rpm

Description:
This icon theme uses Faenza and Faience icon themes by ~Tiheum and some
icons customized for MATE by Rowen Stipe. Also, there are some icons
from Mint-X-F and Faenza-Fresh icon packs.

Fedora Account System Username: leigh123linux
Comment 1 Nelson Marques 2012-11-15 15:58:13 EST
I would like to leave a note regarding:
 BuildRequires:  hicolor-icon-theme


I use the hicolor-icon-theme in BuildRequires for the macros.hicolor that SUSE has; I'm not sure if it is required on Fedora, but anyway, thats the reason why it was there in the first place.

Also I don't like very much the linking of the theme upstream (e.g. links to ./foo.png). The %fdupes macro does help a lot on the re-linking, but we're changing this upstream soon. I am expecting this for 1.6 to be fixed.

NM
Comment 2 Nelson Marques 2012-11-15 17:58:04 EST
I help review this package, but for Fedora inclusion we could probably improve it a bit and use the existing fedora branding resources (ex: 'distributor-logo', 'start-here' and friends).

Do you agree? If so I can apply it to the package.
Comment 3 leigh scott 2012-11-15 19:21:14 EST
(In reply to comment #2)

> Do you agree? If so I can apply it to the package.

Yes, and done.


Thanks for your help
Comment 4 Nelson Marques 2012-11-15 21:10:52 EST
We need to add Python to the BuildRequires; I did tested it on my install and it seemed ok because I had python installed, on a mock chroot it fails. We need to add python to BRs.
Comment 5 leigh scott 2012-11-16 03:26:45 EST
I have added br python
Comment 6 Nelson Marques 2012-11-17 12:39:16 EST
Leigh, seems OK to me, good job. Just remove the BuildRequires: hicolor-icon-theme since it's not needed at all in Fedora and I'm cool with it.

 
Package Review
==============
 
Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed
 
 
Issues:
=======
[!]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
     Note: Cannot find gnome-mime-text-x-copying.png in rpm(s)
See: http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text
[!]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 4034560 bytes in 3 files.
See: http://fedoraproject.org/wiki/Packaging/Guidelines#PackageDocumentation
 
 
===== MUST items =====
 
Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[-]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[-]: Macros in Summary, %description expandable at SRPM build time.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
     Note: Cannot find gnome-mime-text-x-copying.png in rpm(s)
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 1 files have unknown license. Detailed output of
     licensecheck in /home/nmarques/877167-mate-icon-theme-
     faenza/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 4034560 bytes in 3 files.
[x]: Packages must not store files under /srv, /opt or /usr/local
 
===== SHOULD items =====
 
Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Scriptlets must be sane, if used.
[x]: SourceX tarball generation or download is documented.
[-]: SourceX / PatchY prefixed with %{name}.
     Note: Source1 (install-matefaenza)
[x]: SourceX is a working URL.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.
 
===== EXTRA items =====
 
Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
 
 
Rpmlint
-------
Checking: mate-icon-theme-faenza-dark-1.5.0-1.fc19.noarch.rpm
          mate-icon-theme-faenza-1.5.0-1.fc19.noarch.rpm
          mate-icon-theme-faenza-1.5.0-1.fc19.src.rpm
          mate-icon-theme-faenza-gray-1.5.0-1.fc19.noarch.rpm
mate-icon-theme-faenza-dark.noarch: W: no-documentation
mate-icon-theme-faenza-gray.noarch: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 2 warnings.
 
 
 
 
Rpmlint (installed packages)
----------------------------
# rpmlint mate-icon-theme-faenza-gray mate-icon-theme-faenza-dark mate-icon-theme-faenza
mate-icon-theme-faenza-gray.noarch: W: no-documentation
mate-icon-theme-faenza-dark.noarch: W: no-documentation
3 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'
 
 
 
Requires
--------
mate-icon-theme-faenza-dark-1.5.0-1.fc19.noarch.rpm (rpmlib, GLIBC filtered):
   
    /bin/sh
    mate-icon-theme-faenza = 1.5.0-1.fc19
 
mate-icon-theme-faenza-1.5.0-1.fc19.noarch.rpm (rpmlib, GLIBC filtered):
   
    /bin/sh
 
mate-icon-theme-faenza-gray-1.5.0-1.fc19.noarch.rpm (rpmlib, GLIBC filtered):
   
    /bin/sh
    mate-icon-theme-faenza = 1.5.0-1.fc19
 
 
 
Provides
--------
mate-icon-theme-faenza-dark-1.5.0-1.fc19.noarch.rpm:
   
    mate-icon-theme-faenza-dark = 1.5.0-1.fc19
 
mate-icon-theme-faenza-1.5.0-1.fc19.noarch.rpm:
   
    mate-icon-theme-faenza = 1.5.0-1.fc19
 
mate-icon-theme-faenza-gray-1.5.0-1.fc19.noarch.rpm:
   
    mate-icon-theme-faenza-gray = 1.5.0-1.fc19
 
 
 
MD5-sum check
-------------
http://pub.mate-desktop.org/releases/1.5/mate-icon-theme-faenza-1.5.0.tar.xz :
  CHECKSUM(SHA256) this package     : 38b100be8fa02a81f41b7404edd5a1f53e8e7579d05cbc451d4d6ff0dd13f371
  CHECKSUM(SHA256) upstream package : 38b100be8fa02a81f41b7404edd5a1f53e8e7579d05cbc451d4d6ff0dd13f371
 
 
Generated by fedora-review 0.3.1 (b71abc1) last change: 2012-10-16
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 877167
Comment 7 Rex Dieter 2012-11-17 12:53:00 EST
I'd strongly suggest renaming this package to match the actual theme name, and use:
Name: matefaenza-icon-theme
instead.

And, to appease folks who expect the upstream name, be sure to include the string "mate-icon-theme-faenza" somewhere in pkg %description, and add
Provides: mate-icon-theme-faenza = %{version}-%{release}
and possibly even
Obsoletes: mate-icon-theme-faenza < %{version}-%{release}
if there's any risk or possibility of upgrade path issues from users who have the old name installed.
Comment 8 Nelson Marques 2012-11-17 12:56:06 EST
This package hasn't entered testing or production, so we should have zero clients with it installed besides the people who are participating in the review, skipping the Obsoletes is safe in my opinion.

Sounds reasonable, gonna submit the changes to Leigh and restart the process. Thanks.
Comment 10 David Xie 2013-01-10 11:04:11 EST
(In reply to comment #9)
> Here we go :-)
> 
> 
> Spec URL:
> http://leigh123linux.fedorapeople.org/pub/review/mate-icon-theme-faenza/2/
> matefaenza-icon-theme.spec
> 
> 
> SRPM URL:
> http://leigh123linux.fedorapeople.org/pub/review/mate-icon-theme-faenza/2/
> matefaenza-icon-theme-1.5.0-2.fc17.src.rpm

Can't see them, page 404.

Note You need to log in before you can comment on or make changes to this bug.